Skip to main content
POST
/
api
/
transactions
/
submit
curl -X POST https://oro-tradebook-devnet.up.railway.app/api/transactions/submit \
  -H "Content-Type: application/json" \
  -d '{
    "signedTransaction": "base64-encoded-signed-transaction"
  }'
{
  "success": true,
  "data": {
    "status": "confirmed",
    "transaction": {
      "transactionId": "5UfDuX...",
      "signature": "5UfDuX...",
      "tokenBalanceChange": {
        "WalletAddress": {
          "gold": 100000,
          "usdc": -508620000
        }
      }
    }
  }
}

Overview

After you’ve created a transaction (purchase, sell, withdrawal, etc.) and signed it with the required wallet(s), use this endpoint to submit it to the Solana blockchain. This endpoint is public - no authentication required.

Transaction Flow

  1. Create transaction via trading endpoints (purchase, sell, etc.)
  2. Deserialize the serializedTx from the response
  3. Sign with the wallet(s) specified in signingInstructions.signers
  4. Submit the signed transaction via this endpoint
  5. Receive confirmation with transaction ID

Request Body

signedTransaction
string
required
Base64-encoded signed transaction

Response

success
boolean
Whether the request was successful
data
object
curl -X POST https://oro-tradebook-devnet.up.railway.app/api/transactions/submit \
  -H "Content-Type: application/json" \
  -d '{
    "signedTransaction": "base64-encoded-signed-transaction"
  }'
{
  "success": true,
  "data": {
    "status": "confirmed",
    "transaction": {
      "transactionId": "5UfDuX...",
      "signature": "5UfDuX...",
      "tokenBalanceChange": {
        "WalletAddress": {
          "gold": 100000,
          "usdc": -508620000
        }
      }
    }
  }
}